package com.goer.project.model.modelProject.mapper;

import java.util.List;
import com.goer.project.model.modelProject.domain.ModelProject;
import org.springframework.stereotype.Repository;

/**
 * 模型对象Mapper接口
 * 
 * @author goer
 * @date 2022-01-17
 */
@Repository
public interface ModelProjectMapper 
{
    /**
     * 查询模型对象
     * 
     * @param id 模型对象主键
     * @return 模型对象
     */
    public ModelProject selectModelProjectById(Long id);

    /**
     * 查询模型对象列表
     * 
     * @param modelProject 模型对象
     * @return 模型对象集合
     */
    public List<ModelProject> selectModelProjectList(ModelProject modelProject);

    /**
     * 新增模型对象
     * 
     * @param modelProject 模型对象
     * @return 结果
     */
    public int insertModelProject(ModelProject modelProject);

    public int initDataType(ModelProject modelProject);
    public int initModelField(ModelProject modelProject);

    /**
     * 修改模型对象
     * 
     * @param modelProject 模型对象
     * @return 结果
     */
    public int updateModelProject(ModelProject modelProject);

    /**
     * 删除模型对象
     * 
     * @param id 模型对象主键
     * @return 结果
     */
    public int deleteModelProjectById(Long id);

    /**
     * 批量删除模型对象
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteModelProjectByIds(String[] ids);
}
